<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.PredictCmd" table="PredictCmd" schema="dbo" >
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="native" />
        </id>
        <property name="mobileId" type="java.lang.Integer">
            <column name="MobileID" not-null="true" />
        </property>
        <property name="mask" type="java.lang.Integer">
            <column name="掩码" not-null="true" />
        </property>
        <property name="meaning" type="java.lang.String">
            <column name="含义" length="20" not-null="true" />
        </property>
         <property name="meaningTW" type="java.lang.String">
            <column name="含义_tw" length="20" not-null="true" />
        </property>
         <property name="meaningEN" type="java.lang.String">
            <column name="含义_en" length="20" not-null="true" />
        </property>
        <property name="pass" type="java.lang.String">
            <column name="pass" length="10" not-null="true" />
        </property>
        <property name="description" type="java.lang.String">
            <column name="description" length="200" not-null="true" />
        </property>
         <property name="descriptionEN" type="java.lang.String">
            <column name="description_en" length="200" not-null="true" />
        </property>
         <property name="descriptionTW" type="java.lang.String">
            <column name="description_tw" length="200" not-null="true" />
        </property>
        <property name="params" type="java.lang.String">
            <column name="params" length="400" not-null="true" />
        </property>
        <property name="paramsEN" type="java.lang.String">
            <column name="params_en" length="400" not-null="true" />
        </property>
        <property name="paramsTW" type="java.lang.String">
            <column name="params_tw" length="400" not-null="true" />
        </property>
        <property name="cmdlevel" type="java.lang.Integer">
            <column name="cmdlevel" not-null="true" />
        </property>
    </class>
</hibernate-mapping>
